<template>
  <div class="d-none d-sm-inline-block">
    <div class="subheader mt-5 mb-2">Search criteria</div>
    <div class="row g-2 align-items-center mb-3">
      <div class="col">
        <a href="#" class="btn w-100 disabled">
          <DeviceFloppyIcon class="text-orange" />
          Save
        </a>
      </div>
      <div class="col">
        <b-dropdown
          class="btn-group w-100 dropup"
          toggle-class="btn"
          variant="none"
          dropup
          right
          no-caret
        >
          <template #button-content>
            <ArrowUpCircleIcon class="text-green" />
            Load
          </template>
          <div class="px-2 pt-2 pb-0">
            <div class="input-icon mb-3">
              <input
                type="text"
                class="form-control form-control-sm"
                placeholder="Search in presets..."
                disabled
              />
              <span class="input-icon-addon">
                <SearchIcon class="icon-xxs" />
              </span>
            </div>
          </div>
          <h6 class="dropdown-header mt-2 mb-2 hr-text hr-text-left hr-text-xs">
            suggested
          </h6>
          <button class="dropdown-item btn-xs disabled">
            <span class="avatar bg-cyan-lt avatar-xs ml-1 mr-1">M</span>
            My projects
          </button>
          <button class="dropdown-item btn-xs disabled">
            <span class="avatar bg-cyan-lt avatar-xs ml-1 mr-1">S</span>
            Shared by me
          </button>
          <button class="dropdown-item btn-xs disabled">
            <span class="avatar bg-cyan-lt avatar-xs ml-1 mr-1">R</span>
            Running
          </button>
          <button class="dropdown-item btn-xs disabled">
            <span class="avatar bg-cyan-lt avatar-xs ml-1 mr-1">F</span>
            Finished
          </button>
          <div class="skeleton-line skeleton-line-full ml-2 mr-2"></div>
          <h6 class="dropdown-header mt-2 mb-2 hr-text hr-text-left hr-text-xs">
            saved
          </h6>
          <div class="skeleton-line skeleton-line-full ml-2 mr-2"></div>
          <div class="skeleton-line skeleton-line-full ml-2 mr-2"></div>
          <div class="skeleton-line skeleton-line-full ml-2 mr-2"></div>
          <div class="skeleton-line skeleton-line-full ml-2 mr-2"></div>
          <div class="skeleton-line skeleton-line-full ml-2 mr-2"></div>
          <h6 class="dropdown-header mt-2 mb-2 hr-text hr-text-left hr-text-xs">
            most recently used
          </h6>
          <div class="skeleton-line skeleton-line-full ml-2 mr-2"></div>
          <div class="skeleton-line skeleton-line-full ml-2 mr-2"></div>
          <div class="skeleton-line skeleton-line-full ml-2 mr-2"></div>
        </b-dropdown>
      </div>
      <a href="#" class="btn btn-link btn-xs text-uppercase w-100 disabled">
        Reset to defaults
      </a>
    </div>
  </div>
</template>
